#
# Ubuntu 16.04 dockerfile to work on an Android image
#

FROM ubuntu:16.04

ADD ./src/check_packages root/scripts/
ADD ./src/packages_list.txt root/scripts/

# Configure bin/sh to point to bash instead of dash
 RUN echo "dash dash/sh boolean false" | debconf-set-selections && dpkg-reconfigure -p critical dash

# Install required packages
RUN apt-get update && apt-get -y upgrade
RUN apt-get install -y wget openjdk-8-jdk python git-core gnupg flex bison gperf build-essential zip curl zlib1g-dev gcc-multilib g++-multilib libc6-dev-i386 lib32ncurses5-dev x11proto-core-dev libx11-dev lib32z-dev ccache libgl1-mesa-dev libxml2-utils xsltproc unzip mtools u-boot-tools htop iotop sysstat iftop pigz bc device-tree-compiler lunzip dosfstools vim-common parted udev

# Install repo
RUN wget 'https://storage.googleapis.com/git-repo-downloads/repo' -P /tmp/ && mv /tmp/repo /usr/local/bin/repo && chmod a+x /usr/local/bin/repo

# Configure java environment
RUN export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64
RUN export PATH=$JAVA_HOME/bin:$PATH
RUN export CLASSPATH=.:$JAVA_HOME/lib:$JAVA_HOME/lib/tools.jar

# CCACHE VOLUME
VOLUME ["/tmp/ccache"]

#Set environment variables.
ENV HOME /root
ENV USER root

# Enable cache compiler to improve rebuild performances
ENV USE_CCACHE 1
ENV CCACHE_DIR /tmp/cache

# Define working directory.
WORKDIR /root/logs
WORKDIR /root/build

# Define default command.
CMD bash
